import { IDanmaTrack } from './interface/IDanmaTrack';
import { IDanmakuConfig } from './interface/IDanmakuConfig';
export default class Danmaku {
    mDanmukuConfig: IDanmakuConfig;
    private mCanvas;
    private mCtx;
    private isPause;
    private lastRenderTime;
    private mDanmuTracks;
    constructor(canvas: HTMLCanvasElement, danmakuConfig: IDanmakuConfig);
    addDanmuTrack(danmuTrack: IDanmaTrack): void;
    removeDanmuTrack(danmuTrack: IDanmaTrack): void;
    initRender(): void;
    renderByAnimationFrame(): void;
    renderBySetInterval(): void;
    render(): void;
    start(): void;
    pause(): void;
}
