import { IDanmaMessage } from './interface/IDanmaMessage';
export declare class DanmakuPool {
    private mPoolSize;
    private mMessagePool;
    constructor(size?: number);
    addMessage(msg: IDanmaMessage): void;
    getMessage(): IDanmaMessage | null;
    addMessages(msgs?: Array<IDanmaMessage>): void;
    removeMessage(msg: IDanmaMessage): void;
    removeMessageByIndex(index: number): void;
}
